
## 乐游图后端接口文档
| Specification | Value |
|-----|-----|
| API Version | 1.0.0 |
| BasePath | https://letu.api.imagchina.com |



### API List
1. [增加访问日志](#allline-get)
1. [查询所有商品](#allline-get)
1. [查询所有游玩项目](#allline-get)
1. [查询所有线路](#allline-get)
1. [所有景区基础信息](#allline-get)
1. [查询商品信息](#allline-get)
1. [增加投诉](#allline-get)
1. [用户注册](#allline-get)
1. [查询设备信息](#allline-get)
1. [查询线路信息](#allline-get)
1. [用户登录](#allline-get)
1. [返回景区基础信息](#allline-get)
1. [标签列表](#allline-get)
1. [更新商品](#allline-get)
1. [更新设施](#allline-get)
1. [更新等待时间](#allline-get)
1. [更新线路](#allline-get)
1. [更新景区基础信息](#allline-get)
1. [上传](#allline-get)
1. [获取用户信息](#allline-get)



<a name="增加访问日志"></a>

#### /AccessLog (POST)


增加访问日志

| Param Name | Example | Data Type | Description | Required? |
|-----|-----|-----|-----|-----|
| UserId | 5dfb03070a9ac17ac7a82054    | string | 用户ID | Yes |
| UserName | Aaron    | string | 用户名称 | Yes |
| TypeNum | 9    | int | 类型编号 | Yes |
| TypeName | 点击个人中心    | string | 类型名称 | Yes |
| DateTime | 1578556751220    | int | 时间戳 | Yes |
| Location | {"Latitude": 119, "Longitude": 39}    | string | 位置 | Yes |
| Remarks | 备注    | string | 备注 | Yes |


| Code | Type | Model | Message |
|-----|-----|-----|-----|
| 200 | object | [ResponseSeccess](#github.com.aarongao.tools.ResponseSeccess) |  |
| 500 | object | [ResponseError](#github.com.aarongao.tools.ResponseError) | {"errcode":1,"errmsg":"错误原因"} |



<a name="查询所有商品"></a>

#### /AllCommodity (GET)


查询所有商品

| Code | Type | Model | Message |
|-----|-----|-----|-----|
| 200 | object | [ResponseSeccess](#github.com.aarongao.tools.ResponseSeccess) | Price=价格；ShopName=店铺名称；KvPhoto用于列表页的图片；TopPhoto详情页最上面的轮播图；Images详情页下面的产品详细图 |
| 500 | object | [ResponseError](#github.com.aarongao.tools.ResponseError) | {"errcode":1,"errmsg":"错误原因"} |



<a name="查询所有游玩项目"></a>

#### /AllItems (GET)


查询所有游玩项目

| Code | Type | Model | Message |
|-----|-----|-----|-----|
| 200 | object | [ResponseSeccess](#github.com.aarongao.tools.ResponseSeccess) | Tags所属标签，标签有分类；LimitHeight限高；PlayDuration游玩时长；SceneTime场次时间；Picture照片；Voice音频；AverageConsumption平均消费；Menu菜单 |
| 500 | object | [ResponseError](#github.com.aarongao.tools.ResponseError) | {"errcode":1,"errmsg":"错误原因"} |



<a name="查询所有线路"></a>

#### /AllLine (GET)


查询所有线路

| Code | Type | Model | Message |
|-----|-----|-----|-----|
| 200 | object | [ResponseSeccess](#github.com.aarongao.tools.ResponseSeccess) | Name名称；SubName副标题；PlayDuration游玩时长；Suitable适合人群；Location线路点坐标；Annotations需要点亮的设施id；Distance距离 |
| 500 | object | [ResponseError](#github.com.aarongao.tools.ResponseError) | {"errcode":1,"errmsg":"错误原因"} |



<a name="所有景区基础信息"></a>

#### /AllScenic (GET)


所有景区基础信息

| Code | Type | Model | Message |
|-----|-----|-----|-----|
| 200 | object | [ResponseSeccess](#github.com.aarongao.tools.ResponseSeccess) |  |
| 500 | object | [ResponseError](#github.com.aarongao.tools.ResponseError) | {"errcode":1,"errmsg":"错误原因"} |



<a name="查询商品信息"></a>

#### /CommodityInfo (GET)


查询商品信息

| Param Name | Example | Data Type | Description | Required? |
|-----|-----|-----|-----|-----|
| id | 5dfb03070a9ac17ac7a82054    | string | id | Yes |


| Code | Type | Model | Message |
|-----|-----|-----|-----|
| 200 | object | [ResponseSeccess](#github.com.aarongao.tools.ResponseSeccess) | Price=价格；ShopName=店铺名称；KvPhoto用于列表页的图片；TopPhoto详情页最上面的轮播图；Images详情页下面的产品详细图 |
| 500 | object | [ResponseError](#github.com.aarongao.tools.ResponseError) | {"errcode":1,"errmsg":"错误原因"} |



<a name="增加投诉"></a>

#### /CreateComplaint (POST)


增加投诉

| Param Name | Example | Data Type | Description | Required? |
|-----|-----|-----|-----|-----|
| mobile | 18616619599    | string | 联系电话 | Yes |
| type | 1    | string | 类型 | Yes |
| content | 卫生不干净    | string | 投诉内容 | Yes |
| image | ["http://www.xx.com/123.jpg","http://www.xx.com/123.jpg"]    | string | 照片数组 | Yes |


| Code | Type | Model | Message |
|-----|-----|-----|-----|
| 200 | object | [ResponseSeccess](#github.com.aarongao.tools.ResponseSeccess) | {"errcode":0,"result":"ok"} |
| 500 | object | [ResponseError](#github.com.aarongao.tools.ResponseError) | {"errcode":1,"errmsg":"错误原因"} |



<a name="用户注册"></a>

#### /CreateUser (POST)


用户注册

| Param Name | Example | Data Type | Description | Required? |
|-----|-----|-----|-----|-----|
| password | 1    | string | 密码 | Yes |
| confirmpassword | 1    | string | 确认密码 | Yes |
| birthday | 2010.10.10    | string | 生日 | Yes |
| fullname | aarongao    | string | 全名 | Yes |
| mobile | 18616619599    | string | 手机,同用户名 | Yes |
| openid | 12345    | string | 微信id | Yes |


| Code | Type | Model | Message |
|-----|-----|-----|-----|
| 200 | object | [ResponseSeccess](#github.com.aarongao.tools.ResponseSeccess) | {"errcode":0,"result":"ok"} |
| 500 | object | [ResponseError](#github.com.aarongao.tools.ResponseError) | {"errcode":1,"errmsg":"错误原因"} |



<a name="查询设备信息"></a>

#### /ItemInfo (GET)


查询设备信息

| Param Name | Example | Data Type | Description | Required? |
|-----|-----|-----|-----|-----|
| id | 5dfb03070a9ac17ac7a82054    | string | 设备id | Yes |


| Code | Type | Model | Message |
|-----|-----|-----|-----|
| 200 | object | [ResponseSeccess](#github.com.aarongao.tools.ResponseSeccess) | {"errcode":0,"result":{"Name":"名称","Describe":"介绍","OpenHours":"开放时间","Mobile":"电话","Address":"地址","SLocation":{"Latitude":0,"Longitude":0},"Picture":["照片1","照片2"]}} |
| 500 | object | [ResponseError](#github.com.aarongao.tools.ResponseError) | {"errcode":1,"errmsg":"错误原因"} |



<a name="查询线路信息"></a>

#### /LineInfo (GET)


查询线路信息

| Param Name | Example | Data Type | Description | Required? |
|-----|-----|-----|-----|-----|
| id | 5dfb03070a9ac17ac7a82054    | string | id | Yes |


| Code | Type | Model | Message |
|-----|-----|-----|-----|
| 200 | object | [ResponseSeccess](#github.com.aarongao.tools.ResponseSeccess) | Name名称；SubName副标题；PlayDuration游玩时长；Suitable适合人群；Location线路点坐标；Annotations需要点亮的设施id；Distance距离 |
| 500 | object | [ResponseError](#github.com.aarongao.tools.ResponseError) | {"errcode":1,"errmsg":"错误原因"} |



<a name="用户登录"></a>

#### /LoginUser (POST)


用户登录

| Param Name | Example | Data Type | Description | Required? |
|-----|-----|-----|-----|-----|
| mobile | aaron    | string | 用户名 | Yes |
| password | 1    | string | 密码 | Yes |


| Code | Type | Model | Message |
|-----|-----|-----|-----|
| 200 | object | [ResponseSeccess](#github.com.aarongao.tools.ResponseSeccess) | {"errcode":0,"result":{"Id":"5e09c64c1c09c6f0f7ca2fa9","Username":"admin","Password":"123","Birthday":"","FullName":"","Mobile":"","Openid":"","Token":"640bf934e425aba5d3c90998b2641f2f0ca07261d334d9615d1cd4790b5f34e7"}} 调用其它需要登陆的接口时携带token,有过期时间 |
| 500 | object | [ResponseError](#github.com.aarongao.tools.ResponseError) | {"errcode":1,"errmsg":"错误原因"} |



<a name="返回景区基础信息"></a>

#### /ScenicInfo (GET)


返回景区基础信息

| Param Name | Example | Data Type | Description | Required? |
|-----|-----|-----|-----|-----|
| id | 5dfb03070a9ac17ac7a82054    | string | 景区id | Yes |


| Code | Type | Model | Message |
|-----|-----|-----|-----|
| 200 | object | [ResponseSeccess](#github.com.aarongao.tools.ResponseSeccess) | Name名称；Describe介绍；OpenHours营业时间；Picture最上面图片；ShopAdPicture商城列表页图片；ItemScenicPicture项目场次照片；ActivityPicture活动照片；VideoList视频 |
| 500 | object | [ResponseError](#github.com.aarongao.tools.ResponseError) | {"errcode":1,"errmsg":"错误原因"} |



<a name="标签列表"></a>

#### /Tags (GET)


标签列表

| Code | Type | Model | Message |
|-----|-----|-----|-----|
| 200 | object | [ResponseSeccess](#github.com.aarongao.tools.ResponseSeccess) | {"errcode":0,"result":[{"Type":"menu","Name":"服务设施"},{"Type":"normal","Name":"不错"},{"Type":"thrilling","Name":"刺激"},{"Type":"recommend","Name":"必玩"}]} |
| 500 | object | [ResponseError](#github.com.aarongao.tools.ResponseError) | {"errcode":1,"errmsg":"错误原因"} |



<a name="更新商品"></a>

#### /UpdateCommodity (POST)


更新商品

| Code | Type | Model | Message |
|-----|-----|-----|-----|
| 200 | object | [ResponseSeccess](#github.com.aarongao.tools.ResponseSeccess) |  |
| 500 | object | [ResponseError](#github.com.aarongao.tools.ResponseError) | {"errcode":1,"errmsg":"错误原因"} |



<a name="更新设施"></a>

#### /UpdateItem (POST)


更新设施

| Code | Type | Model | Message |
|-----|-----|-----|-----|
| 200 | object | [ResponseSeccess](#github.com.aarongao.tools.ResponseSeccess) | Tags所属标签，标签有分类；LimitHeight限高；PlayDuration游玩时长；SceneTime场次时间；Picture照片；Voice音频；AverageConsumption平均消费；Menu菜单 |
| 500 | object | [ResponseError](#github.com.aarongao.tools.ResponseError) | {"errcode":1,"errmsg":"错误原因"} |



<a name="更新等待时间"></a>

#### /UpdateItemTime (POST)


更新等待时间

| Param Name | Example | Data Type | Description | Required? |
|-----|-----|-----|-----|-----|
| item | [{"id":"5df864740a9ac17ac7a7feb8","time":"20"},{"id":"5df8660924e03417008b4567","time":"33"}]    | string | 设备列表 | Yes |


| Code | Type | Model | Message |
|-----|-----|-----|-----|
| 200 | object | [ResponseSeccess](#github.com.aarongao.tools.ResponseSeccess) | {errcode: 0, result: "ok"} |
| 500 | object | [ResponseError](#github.com.aarongao.tools.ResponseError) | {"errcode":1,"errmsg":"错误原因"} |



<a name="更新线路"></a>

#### /UpdateLine (POST)


更新线路

| Code | Type | Model | Message |
|-----|-----|-----|-----|
| 200 | object | [ResponseSeccess](#github.com.aarongao.tools.ResponseSeccess) |  |
| 500 | object | [ResponseError](#github.com.aarongao.tools.ResponseError) | {"errcode":1,"errmsg":"错误原因"} |



<a name="更新景区基础信息"></a>

#### /UpdateScenic (POST)


更新景区基础信息

| Param Name | Example | Data Type | Description | Required? |
|-----|-----|-----|-----|-----|
| id | 5dfb03070a9ac17ac7a82054    | string | 景区id | Yes |


| Code | Type | Model | Message |
|-----|-----|-----|-----|
| 200 | object | [ResponseSeccess](#github.com.aarongao.tools.ResponseSeccess) | Name名称；Describe介绍；OpenHours营业时间；Picture最上面图片；ShopAdPicture商城列表页图片；ItemScenicPicture项目场次照片；ActivityPicture活动照片；VideoList视频 |
| 500 | object | [ResponseError](#github.com.aarongao.tools.ResponseError) | {"errcode":1,"errmsg":"错误原因"} |



<a name="上传"></a>

#### /Upload (POST)


上传

| Param Name | Example | Data Type | Description | Required? |
|-----|-----|-----|-----|-----|
| file | 1    | file | 文件 | Yes |


| Code | Type | Model | Message |
|-----|-----|-----|-----|
| 200 | object | [ResponseSeccess](#github.com.aarongao.tools.ResponseSeccess) | {"errcode":0,"result":"图片地址"} |
| 500 | object | [ResponseError](#github.com.aarongao.tools.ResponseError) | {"errcode":1,"errmsg":"错误原因"} |



<a name="获取用户信息"></a>

#### /UserInfo (GET)


获取用户信息

| Param Name | Example | Data Type | Description | Required? |
|-----|-----|-----|-----|-----|
| id | aaron    | string | 用户id | Yes |


| Code | Type | Model | Message |
|-----|-----|-----|-----|
| 200 | object | [ResponseSeccess](#github.com.aarongao.tools.ResponseSeccess) | {"errcode":0,"result":{"Id":"5e09c64c1c09c6f0f7ca2fa9","Username":"admin","Password":"123","Birthday":"","FullName":"","Mobile":"","Openid":"","Token":"640bf934e425aba5d3c90998b2641f2f0ca07261d334d9615d1cd4790b5f34e7"}} |
| 500 | object | [ResponseError](#github.com.aarongao.tools.ResponseError) | {"errcode":1,"errmsg":"错误原因"} |


